# DataExchange
TKIGES
IGESDimen

# IGESDimen_Section Class Reference

defines Section, Type <106> Form <31-38>
in package IGESDimen
Contains information to display sectioned sides

`#include <IGESDimen_Section.hxx>`

Inheritance diagram for IGESDimen_Section:

[legend]

## Public Member Functions

Standard_EXPORT | IGESDimen_Section ()
Standard_EXPORT void | Init (const Standard_Integer dataType, const Standard_Real aDisp, const Handle(TColgp_HArray1OfXY)&dataPoints)
| This method is used to set the fields of the class Section - dataType : Interpretation Flag, always = 1 - aDisp : Common z displacement - dataPoints : Data points .
Standard_EXPORT void | SetFormNumber (const Standard_Integer form)
| Changes FormNumber (indicates the Type of the Hatches) Error if not in range [31-38] .
Standard_EXPORT Standard_Integer | Datatype () const
| returns Interpretation Flag, always = 1
Standard_EXPORT Standard_Integer | NbPoints () const
| returns number of Data Points
Standard_EXPORT Standard_Real | ZDisplacement () const
| returns common Z displacement
Standard_EXPORT gp_Pnt | Point (const Standard_Integer Index) const
| returns Index'th data point raises exception if Index <= 0 or Index > NbPoints()
Standard_EXPORT gp_Pnt | TransformedPoint (const Standard_Integer Index) const
| returns Index'th data point after Transformation raises exception if Index <= 0 or Index > NbPoints()
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Standard_Integer | theDatatype
Standard_Real | theZDisplacement
Handle_TColgp_HArray1OfXY | theDataPoints

## Constructor & Destructor Documentation

Standard_EXPORT IGESDimen_Section::IGESDimen_Section | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Standard_Integer IGESDimen_Section::Datatype | ( |  | ) | const

Standard_EXPORT const IGESDimen_Section::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from IGESData_IGESEntity.

Standard_EXPORT void IGESDimen_Section::Init | ( | const Standard_Integer | dataType,
|  | const Standard_Real | aDisp,
|  | const Handle(TColgp_HArray1OfXY)& | dataPoints
| ) |

Standard_EXPORT Standard_Integer IGESDimen_Section::NbPoints | ( |  | ) | const

Standard_EXPORT gp_Pnt IGESDimen_Section::Point | ( | const Standard_Integer | Index | ) | const

Standard_EXPORT void IGESDimen_Section::SetFormNumber | ( | const Standard_Integer | form | ) |

Standard_EXPORT gp_Pnt IGESDimen_Section::TransformedPoint | ( | const Standard_Integer | Index | ) | const

Standard_EXPORT Standard_Real IGESDimen_Section::ZDisplacement | ( |  | ) | const

## Field Documentation

Handle_TColgp_HArray1OfXY IGESDimen_Section::theDataPoints `[private]`

Standard_Integer IGESDimen_Section::theDatatype `[private]`

Standard_Real IGESDimen_Section::theZDisplacement `[private]`

The documentation for this class was generated from the following file:

- IGESDimen_Section.hxx